Documentation of instance method Thread.abort_on_exception= is wrong

10/17/2016 05:09 PM - mikekap (Mike Kaplinskiy)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

The documentation for the instance method says that the setting is global: 

https://ruby-doc.org/core-2.3.0/Thread.html#method-i-abort_on_exception-3D:

When set to true, all threads (including the main program) will abort if an exception is raised in

 this thr.

 That's actually incorrect - the instance-level setting affects only the thread it was set on; it's not global.

History

#1 - 10/18/2016 12:12 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Rejected

It is the instance-level setting but terminates the whole process.

#2 - 10/18/2016 05:44 AM - mikekap (Mike Kaplinskiy)

Hah sorry about that, I completely misread the sentence. I would suggest changing the docs to be a bit more clear that this is different than

Thread.abort_on_exception= (though it is logical). Maybe something like:

When set to true, the process (including all threads and the main thread) will abort if an uncaught exception 

is raised in this thr.

 Unfortunately, I'm not the only one that didn't quite understand the docs: https://github.com/reevoo/fluent-plugin-systemd/pull/15
